Subject: Re: question about Linux 2.6 with Xilinx ML-403

From: yding <[email-masked]>
Date: Mon, 01 May 2006 16:15:53 -0700

HI, Grant,

It looks like that the patch for ML-403 in Linux 2.6.17 kernel(I
downloaded from Linus git tree) does not have the directory :
./arch/ppc/platform/4xx/xilinx_ocp like the one in the 2.4.30 kernel.

And also, I saw this thread: "Migrate Xilinx Vertex support from the OCP
bus to the platfom bus"

    http://patchwork.ozlabs.org/linuxppc/patch?id=3933

Does it mean all of onchip peripherals for Virtex-4 FX must reside on
the PLB bus instead of OPB (OCB) bus ?
(i.e. during the process of creating the ref design for Linux using
Xilinx Platform studio, I have to select PLB peripherals instead of OPB
peripherals. Is is correct ?)

BTW, do you have a sample ref design for ML-403 board for Xilinx
Platform studio ?

Thanks for the help.
--
Ying Ding

Grant Likely wrote:

>On 4/7/06, yding <[email-masked]> wrote:
>  
>
>> HI, Grant,
>>
>> I found this message :
>>http://patchwork.ozlabs.org/linuxppc/patch?id=3841 on
>>Internet.
>> It looks like you created some patch files for supporting Linux 2.6 with
>>Xilinx ML-403.
>>
>>how can download the whole kernel source tree with your patched files (via
>>cvs or bitkeeper) ?
>>    
>>
>
>I believe they are now in Linus' mainline git tree.  If not, they are
>in Paul's powerpc git tree.
>
>BTW, please CC the linuxppc-embedded mailing list when emailing me directly.
>
>Cheers,
>g.
>--
>Grant Likely, B.Sc. P.Eng.
>Secret Lab Technologies Ltd.
>(403) 399-0195
>
>  
>